import Ember from 'ember';
import layout from '../templates/components/str-ribbon';

export default Ember.Component.extend({
  layout,

  notificationIsHidden: false,

  didReceiveAttrs() {
    this._super(...arguments);
      if (!this.get('onNotificationButtonClick')) {
        this.set('notificationIsHidden', true);
      }
  },

  actions: {
    notificationButtonClick() {
      this.sendAction('onNotificationButtonClick');
    },
    helpButtonClick() {
      this.sendAction('onHelpButtonClick');
    },
    logoutButtonClick() {
      this.sendAction('onLogoutButtonClick');
    },
    userButtonClick() {
      this.sendAction('onUserButtonClick');
    }
  }
});
